function [ var_values_lin_levels, var_values_linG_levels ] = make_levels_from_lin( var_values_lin, var_values_linG, var_values_nonlin, model )

    ss = var_values_nonlin{1,1}(:,1);

    var_values_lin_levels1 = cell(length(var_values_lin),1);

    for i = 1:length(var_values_lin)

        oo_endo_simul_base_lin_orig = var_values_lin{i,1};

        var_values_lin_levels = zeros(length(var_values_lin),252);

        var_values_lin_levels(1,:)=oo_endo_simul_base_lin_orig(1,1:end); %output gap
        var_values_lin_levels(2,:)=(1+oo_endo_simul_base_lin_orig(2,1:end))*ss(2); %inflation
        var_values_lin_levels(3,:)=(1+oo_endo_simul_base_lin_orig(3,1:end))*ss(3); %nom. interest rate
        var_values_lin_levels(4,:)=(1+oo_endo_simul_base_lin_orig(4,1:end))*ss(4); %real interest rate
        var_values_lin_levels(5,:)=(1+oo_endo_simul_base_lin_orig(5,1:end))*ss(5); %potential real interest rate
        var_values_lin_levels(6,:)=(1+oo_endo_simul_base_lin_orig(6,1:end))*ss(6); %real GDP
        var_values_lin_levels(7,:)=(1+oo_endo_simul_base_lin_orig(7,1:end))*ss(7); %inverse price dispersion

        %for model 1
        if model == 1

            var_values_lin_levels(8,:)=oo_endo_simul_base_lin_orig(8,1:end)+ss(8); %cons. demand shock
            var_values_lin_levels(9,:)=(1+oo_endo_simul_base_lin_orig(9,1:end))*ss(9); %gov. cons.
            var_values_lin_levels(10,:)=oo_endo_simul_base_lin_orig(10,1:end)+ss(10); %gov. debt

        %for models 2, 3, 4, example model
        elseif model == 2 || model == 3 || model ==4

            var_values_lin_levels(12,:)=oo_endo_simul_base_lin_orig(12,1:end)+ss(12); %cons. demand shock
            var_values_lin_levels(11,:)=(1+oo_endo_simul_base_lin_orig(11,1:end))*ss(11); %gov. cons.
            var_values_lin_levels(9,:)=oo_endo_simul_base_lin_orig(9,1:end)+ss(9); %gov. debt

        %for model 5
        elseif model == 5

            var_values_lin_levels(8,:)=oo_endo_simul_base_lin_orig(8,1:end)+ss(8); %gov. debt
            var_values_lin_levels(11,:)=(1+oo_endo_simul_base_lin_orig(11,1:end))*ss(11); %gov. cons.
            %var_values_lin_levels(12,:)=(1+oo_endo_simul_base_lin_orig(12,1:end))*ss(12); %discount factor shock
            var_values_lin_levels(12,:)=oo_endo_simul_base_lin_orig(12,1:end)+ss(12); %cons. demand shock
            var_values_lin_levels(14,:)=(1+oo_endo_simul_base_lin_orig(14,1:end))*ss(14); %marginal cost

        end

        var_values_lin_levels1{i,1} = var_values_lin_levels;

    end

    var_values_lin_levels2 = cell(length(var_values_linG),1);

    for i = 1:length(var_values_linG)

        oo_endo_simul_base_lin_orig = var_values_linG{i,1};

        var_values_lin_levels = zeros(12,252);

        var_values_lin_levels(1,:)=oo_endo_simul_base_lin_orig(1,1:end); %output gap
        var_values_lin_levels(2,:)=(1+oo_endo_simul_base_lin_orig(2,1:end))*ss(2); %inflation
        var_values_lin_levels(3,:)=(1+oo_endo_simul_base_lin_orig(3,1:end))*ss(3); %nom. interest rate
        var_values_lin_levels(4,:)=(1+oo_endo_simul_base_lin_orig(4,1:end))*ss(4); %real interest rate
        var_values_lin_levels(5,:)=(1+oo_endo_simul_base_lin_orig(5,1:end))*ss(5); %potential real interest rate
        var_values_lin_levels(6,:)=(1+oo_endo_simul_base_lin_orig(6,1:end))*ss(6); %inverse price dispersion
        var_values_lin_levels(7,:)=(1+oo_endo_simul_base_lin_orig(7,1:end))*ss(7); %real GDP

       %for model 1
        if model == 1

            var_values_lin_levels(8,:)=oo_endo_simul_base_lin_orig(8,1:end)+ss(8); %cons. demand shock
            var_values_lin_levels(9,:)=(1+oo_endo_simul_base_lin_orig(9,1:end))*ss(9); %gov. cons.
            var_values_lin_levels(10,:)=oo_endo_simul_base_lin_orig(10,1:end)+ss(10); %gov. debt

        %for models 2, 3, 4, example model
        elseif model == 2 || model == 3 || model ==4

            var_values_lin_levels(12,:)=oo_endo_simul_base_lin_orig(12,1:end)+ss(12); %cons. demand shock
            var_values_lin_levels(11,:)=(1+oo_endo_simul_base_lin_orig(11,1:end))*ss(11); %gov. cons.
            var_values_lin_levels(9,:)=oo_endo_simul_base_lin_orig(9,1:end)+ss(9); %gov. debt

        %for model 5
        elseif model == 5

            var_values_lin_levels(8,:)=oo_endo_simul_base_lin_orig(8,1:end)+ss(8); %gov. debt
            var_values_lin_levels(11,:)=(1+oo_endo_simul_base_lin_orig(11,1:end))*ss(11); %gov. cons.
            var_values_lin_levels(12,:)=(1+oo_endo_simul_base_lin_orig(12,1:end))*ss(12); %discount factor shock
            %var_values_lin_levels(12,:)=oo_endo_simul_base_lin_orig(12,1:end)+ss(12); %cons. demand shock
            var_values_lin_levels(14,:)=(1+oo_endo_simul_base_lin_orig(14,1:end))*ss(14); %marginal cost

        end

        var_values_lin_levels2{i,1} = var_values_lin_levels;

    end

    clear var_values_lin_levels
    var_values_lin_levels = var_values_lin_levels1;
    var_values_linG_levels = var_values_lin_levels2;
    clear var_values_lin_levels1 var_values_lin_levels2 oo_endo_simul_base_lin_orig i

end

